/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow;

import java.util.List;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.3 $
 */
public class WorkflowHistory implements java.io.Serializable
{
    private long id;
    private String workflowName;
    private List steps;

    public WorkflowHistory(long id, String workflowName, List steps)
    {
        this.id = id;
        this.workflowName = workflowName;
        this.steps = steps;
    }

    public long getId()
    {
        return id;
    }

    public String getWorkflowName()
    {
        return workflowName;
    }

    public List getSteps()
    {
        return steps;
    }

}
