/*
 * Created by IntelliJ IDEA.
 * User: plightbo
 * Date: Apr 29, 2002
 * Time: 10:55:22 PM
 */
package com.opensymphony.workflow.ejb;

import com.opensymphony.workflow.WorkflowContext;

import javax.ejb.SessionContext;

public class EJBWorkflowContext implements WorkflowContext {
    private SessionContext context;

    public EJBWorkflowContext(SessionContext context) {
        this.context = context;
    }

    public String getCaller() {
        return context.getCallerPrincipal().getName();
    }

    public void setRollbackOnly() {
        context.setRollbackOnly();
    }
}
