/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.loader;


import org.w3c.dom.Element;


/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.1 $
 */
public class RegisterDescriptor
{
    private String type;
    private String location;
    private String variableName;


    public RegisterDescriptor(Element register)
    {
        this.type = register.getAttribute("type");
        this.location = register.getAttribute("location");
        this.variableName = register.getAttribute("variable-name");
    }

    public String getType()
    {
        return type;
    }

    public String getLocation()
    {
        return location;
    }

    public String getVariableName()
    {
        return variableName;
    }
}
