/*
 * Created by IntelliJ IDEA.
 * User: plightbo
 * Date: May 22, 2002
 * Time: 2:05:40 PM
 */
package com.opensymphony.workflow.timer;

import org.quartz.Scheduler;
import org.quartz.SchedulerException;
import org.quartz.impl.StdSchedulerFactory;

/**
 * To run:
 *
 */
public class QuartzRunner {
    public static void main(String[] args) {
        System.out.println("foo!");

        try {
            Scheduler s = new StdSchedulerFactory().getScheduler();
            s.start();
            Runtime.getRuntime().addShutdownHook(new Thread(new Shutdown(s)));
        } catch (Exception e) {
            e.printStackTrace();
        }

        System.out.println("foo!");

    }
}

class Shutdown implements Runnable {
        private Scheduler s;

        public Shutdown(Scheduler s) {
            this.s = s;
        }

        public void run() {
            try {
                System.out.println("Shutting down...");
                s.shutdown();
            } catch (SchedulerException e) {
                e.printStackTrace();
            }
        }
    }
