/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.ejb;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import java.rmi.RemoteException;

/**
 * Home interface for Workflow.
 *
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.5 $
 */
public interface WorkflowHome extends EJBHome
{
    public static final String COMP_NAME = "java:comp/env/ejb/Workflow";
    public static final String JNDI_NAME = "ejb/Workflow";

    public WorkflowRemote create() throws CreateException, RemoteException;
}
