/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.loader;


import org.w3c.dom.Element;


/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.1 $
 */
public class ConditionalResultDescriptor extends ResultDescriptor
{
    private String condition;

    public ConditionalResultDescriptor(Element conditionalResult)
    {
        super(conditionalResult);

        this.condition = conditionalResult.getAttribute("condition");
    }

    public String getCondition()
    {
        return condition;
    }
}
