/*
 * Created by IntelliJ IDEA.
 * User: plightbo
 * Date: Apr 29, 2002
 * Time: 11:20:06 PM
 */
package com.opensymphony.workflow.ofbiz;

import com.opensymphony.workflow.basic.BasicWorkflowContext;
import com.opensymphony.workflow.InternalWorkflowException;
import org.ofbiz.core.entity.TransactionUtil;
import org.ofbiz.core.entity.GenericTransactionException;

public class OfbizWorkflowContext extends BasicWorkflowContext {
    public OfbizWorkflowContext(String caller) {
        super(caller);
    }

    public void setRollbackOnly() {
        try {
            TransactionUtil.setRollbackOnly();
        } catch (GenericTransactionException e) {
            throw new InternalWorkflowException(e);
        }
    }
}
